Subject: bug#3984:

From: Ryan <[email-masked]>
Date: Thu, 19 Sep 2013 21:23:23 -0700

After a little more consideration, I think I know what the bug is. The 
goal of "advice--called-interactively-skip" is to skip all the 
advice-related stack frames of the called function, not advice-related 
stack frames for advice on call-interactively.

I also came up with an idea to address this issue: a second function 
added to called-interactively-p-functions that checks the current stack 
frame for equality to the unadvised form of call-interactively and if it 
finds it, skips past all the advice frames to the outermost call. This 
will make it so that advising call-interactively does not affect the 
return of called-interactively-p, but it will not fix the "innermost 
around advice" problem.

I'm trying to code up a solution now. I'll eventually find my way 
through the twisty maze of fencepost errors.

-Ryan